Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class RectangularHeightFieldMapping

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.imp3d.objects.HeightFieldMapping
              de.grogra.imp3d.objects.RectangularHeightFieldMapping

All Implemented Interfaces:
  Manageable, Shareable

    public class RectangularHeightFieldMapping

extends HeightFieldMapping

Nested Class Summary
`static class` | `RectangularHeightFieldMapping.Type`

Field Summary
`static RectangularHeightFieldMapping.Type` | `$TYPE`
`static SCOType.Field` | `xWidth$FIELD`
`static SCOType.Field` | `yWidth$FIELD`

Fields inherited from class de.grogra.imp3d.objects.HeightFieldMapping
`scale$FIELD, water$FIELD, zeroLevel$FIELD`

Constructor Summary
`RectangularHeightFieldMapping()`

Method Summary
`ManageableType` | `getManageableType()`
`float` | `getXWidth()`
`float` | `getYWidth()`
`void` | `map(int x, int y, int sx, int sy, float height, Tuple3f out)`
`void` | `setXWidth(float value)`
`void` | `setYWidth(float value)`

Methods inherited from class de.grogra.imp3d.objects.HeightFieldMapping
`getScale, getZeroLevel, isWater, setScale, setWater, setZeroLevel`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final RectangularHeightFieldMapping.Type $TYPE

### xWidth$FIELD

    public static final SCOType.Field xWidth$FIELD

### yWidth$FIELD

    public static final SCOType.Field yWidth$FIELD

Constructor Detail

### RectangularHeightFieldMapping

    public RectangularHeightFieldMapping()

Method Detail

### getManageableType

    public ManageableType getManageableType()

### getXWidth

    public float getXWidth()

### getYWidth

    public float getYWidth()

### map

    public void map(int x,
                    int y,
                    int sx,
                    int sy,
                    float height,
                    Tuple3f out)

  Specified by:
    `map` in class `HeightFieldMapping`

### setXWidth

    public void setXWidth(float value)

### setYWidth

    public void setYWidth(float value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD